<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class Project extends Model
{
    use HasFactory, SoftDeletes;
    protected $fillable = [
        'name',
        'description',
        'mmc_path',
    ];

    public function documents()
    {
        return $this->hasMany(Document::class);
    }

    public function auks()
    {
        return $this->hasMany(AUK::class);
    }

}
